#!/bin/sh

# Set min heap memory
export CATALINA_OPTS="$CATALINA_OPTS -Xms512M"

# Set max heap memory
export CATALINA_OPTS="$CATALINA_OPTS -Xmx4096M"

# Halve thread stack size to allow more threads
export CATALINA_OPTS="$CATALINA_OPTS -Xss512k"

# Use server-specific optimisations
export CATALINA_OPTS="$CATALINA_OPTS -server"

# Faster seeding of secure random generator
export CATALINA_OPTS="$CATALINA_OPTS -Djava.security.egd=file:/dev/./urandom"


echo "Using CATALINA_OPTS: $CATALINA_OPTS"
echo "Using JAVA_OPTS: $JAVA_OPTS"
